> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Search Results

> Retrieves a list of transactions along with their metadata that correspond to the specified search string.



## OpenAPI

````yaml /api-reference/data-api.json get /v1/network/transactions/search
openapi: 3.0.0
info:
  title: Range Data API
  description: >-
    The Range Data API for crypto addresses, networks, transactions, and
    entities.
  version: 1.7.8
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Address Information
    description: Get information about a crypto address.
  - name: Entity Information
    description: Get information about entities.
  - name: Network Information
    description: Get information about networks.
  - name: Protocols
    description: Get information about cross-chain protocols.
  - name: Token transfers
    description: Get information about token transfers.
paths:
  /v1/network/transactions/search:
    get:
      tags:
        - Network Information
      summary: Get Search Results
      description: >-
        Retrieves a list of transactions along with their metadata that
        correspond to the specified search string.
      operationId: getTxSearch
      parameters:
        - name: hash
          required: true
          in: query
          description: Transaction hash
          schema:
            type: string
      responses:
        '200':
          description: List of transactions with metadata.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionSearchResults'
components:
  schemas:
    TransactionSearchResults:
      type: object
      properties:
        transactions:
          type: array
          items:
            $ref: '#/components/schemas/TransactionSearchResult'
      required:
        - transactions
    TransactionSearchResult:
      type: object
      properties:
        hash:
          type: string
        height:
          type: string
        network:
          type: string
        time:
          type: string
      required:
        - hash
        - height
        - network
        - time
  securitySchemes:
    Authorization:
      scheme: bearer
      bearerFormat: API Key
      description: 'Use Authorization: Bearer <api-key>'
      type: http

````